Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F111632095
D34167.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
581 B
Referenced Files
None
Subscribers
None
D34167.diff
View Options
diff --git a/usr.sbin/bsdinstall/scripts/zfsboot b/usr.sbin/bsdinstall/scripts/zfsboot
--- a/usr.sbin/bsdinstall/scripts/zfsboot
+++ b/usr.sbin/bsdinstall/scripts/zfsboot
@@ -533,6 +533,15 @@
done
disks="${new_list# }"
+ # Prune out disks that are not available to install to
+ local avail_disks=
+ for disk in $disks; do
+ debug= $disk get name name
+ geom disk list $name | awk '$1 == "Mode:" && $2 != "r0w0e0" { exit 1 }'
+ [ $? -eq 0 ] && avail_disks="$avail_disks $disk"
+ done
+ disks="${avail_disks# }"
+
# Debugging
if [ "$debug" ]; then
local disk_names=
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Fri, Mar 7, 6:57 AM (18 h, 53 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
17027028
Default Alt Text
D34167.diff (581 B)
Attached To
Mode
D34167: bsdinstall: Do not show disks that are already in use when creating a zpool
Attached
Detach File
Event Timeline
Log In to Comment